Issue 118919 - IP clearance: remove WriterPerfect module
Summary: IP clearance: remove WriterPerfect module
Status: REOPENED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 3.4.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on: 118587
Blocks:
  Show dependency tree
 
Reported: 2012-02-15 10:46 UTC by hdu@apache.org
Modified: 2017-05-20 10:44 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
hdu: 3.4_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2012-02-15 10:46:48 UTC
Similar to issue 118587 also the internal module main/writerperfect has an incompatible license.
Comment 1 hdu@apache.org 2012-02-15 12:00:44 UTC
On a second thought the module has been contributed to OpenOffice.org via the SCA, from where its files have been granted to the Apache Foundation via the SGA-2 so it is ready to be relicensed under the ALv2.
Comment 2 hdu@apache.org 2012-03-01 12:01:12 UTC
Solved by Andrew with revision 1229826.
Comment 3 Andrea Pescetti 2014-12-27 18:51:38 UTC
@hdu (or anyone who knows): Could you clarify the status of main/writerperfect? 

I was ready to remove the directory now, based on the fact that it is unused, see also http://markmail.org/message/7k6dk4wop4h2txtb (and I actually verified that a normal build does not need the main/writerperfect directory, so it can simply be removed).

But does your comment above mean that we can keep it? (In that case, then it would be better to use it)
Comment 4 Kay 2014-12-27 22:28:19 UTC
(In reply to Andrea Pescetti from comment #3)
> @hdu (or anyone who knows): Could you clarify the status of
> main/writerperfect? 
> 
> I was ready to remove the directory now, based on the fact that it is
> unused, see also http://markmail.org/message/7k6dk4wop4h2txtb (and I
> actually verified that a normal build does not need the main/writerperfect
> directory, so it can simply be removed).
> 
> But does your comment above mean that we can keep it? (In that case, then it
> would be better to use it)

Looking at --
http://svn.apache.org/viewvc?view=revision&revision=1229826

Why were some items relicensed and others not?
Comment 5 SVN Robot 2014-12-27 22:34:25 UTC
"pescetti" committed SVN revision 1648122 into trunk:
#i118919# Remove main/writerperfect (currently unused).
Comment 6 Andrea Pescetti 2014-12-27 22:36:53 UTC
In the end I removed main/writerperfect since it's unused and I prefer to be on the safe side. But if the discussion in this issue had resolved in favor of keeping it, I can surely restore it. So I'm not closign the issue, pending clarifications.
Comment 7 Marcus 2017-05-20 10:44:58 UTC
Reset the assignee to the default "issues@openoffice.apache.org".